# Uses of Class
org.eclipse.jdt.core.dom.ParameterizedType

Packages that use ParameterizedType
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ParameterizedType in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ParameterizedType
Modifier and Type
Method
Description
`ParameterizedType`
AST.`newParameterizedType(Type type)`
Creates and returns a new unparented parameterized type node with the given type and an empty list of type arguments.
Methods in org.eclipse.jdt.core.dom with parameters of type ParameterizedType
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ParameterizedType node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ParameterizedType node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(ParameterizedType node)`
Visits the given type-specific AST node.